POST api/rightapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RightViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
Required |
|
| active | boolean |
Required |
|
| code | string |
Required |
|
| for_material | boolean |
Required |
|
| ID | globally unique identifier |
None. |
|
| type | globally unique identifier |
None. |
|
| main_right | globally unique identifier |
None. |
|
| technical_description | string |
Required String length: inclusive between 0 and 100 |
|
| position | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"for_material": true,
"id": "4137bb45-cd1b-44ec-b8e5-69581ea77640",
"type": "0deb483e-14e4-4a1a-8275-74bdd69a9195",
"main_right": "b1051d56-86a1-4c57-89bd-a39e929e3739",
"technical_description": "sample string 5",
"position": 1
}
application/xml, text/xml
Sample:
<right xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<ID>4137bb45-cd1b-44ec-b8e5-69581ea77640</ID>
<active>true</active>
<code>sample string 2</code>
<for_material>true</for_material>
<main_right>b1051d56-86a1-4c57-89bd-a39e929e3739</main_right>
<position>1</position>
<technical_description>sample string 5</technical_description>
<type>0deb483e-14e4-4a1a-8275-74bdd69a9195</type>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</right>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f9d2e69d-8f11-4415-a7f3-c9404fff845a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f9d2e69d-8f11-4415-a7f3-c9404fff845a</guid>